#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 haskell-lsp-types
version:              0.24.0.0
visibility:           public
id:                   haskell-lsp-types-0.24.0.0-6dw8Vf7R8fGCGVK2ZbARDD
key:                  haskell-lsp-types-0.24.0.0-6dw8Vf7R8fGCGVK2ZbARDD
license:              MIT
copyright:            Alan Zimmerman, 2016-2020
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/alanz/haskell-lsp
synopsis:
    Haskell library for the Microsoft Language Server Protocol, data types

description:
    An implementation of the types to allow language implementors to
    support the Language Server Protocol for their specific language.

category:             Development
abi:                  39e731d8b43d25ff1b328bdecbb5f933
exposed:              True
exposed-modules:
    Language.Haskell.LSP.Types Language.Haskell.LSP.Types.Capabilities
    Language.Haskell.LSP.Types.Constants
    Language.Haskell.LSP.Types.Lens
    Language.Haskell.LSP.Types.MessageFuncs
    Language.Haskell.LSP.Types.Utils

hidden-modules:
    Language.Haskell.LSP.Types.ClientCapabilities
    Language.Haskell.LSP.Types.CodeAction
    Language.Haskell.LSP.Types.Color Language.Haskell.LSP.Types.Command
    Language.Haskell.LSP.Types.Completion
    Language.Haskell.LSP.Types.DataTypesJSON
    Language.Haskell.LSP.Types.Diagnostic
    Language.Haskell.LSP.Types.DocumentFilter
    Language.Haskell.LSP.Types.FoldingRange
    Language.Haskell.LSP.Types.Hover Language.Haskell.LSP.Types.List
    Language.Haskell.LSP.Types.Location
    Language.Haskell.LSP.Types.MarkupContent
    Language.Haskell.LSP.Types.Message
    Language.Haskell.LSP.Types.Progress
    Language.Haskell.LSP.Types.Symbol
    Language.Haskell.LSP.Types.TextDocument
    Language.Haskell.LSP.Types.Uri Language.Haskell.LSP.Types.Window
    Language.Haskell.LSP.Types.WorkspaceEdit
    Language.Haskell.LSP.Types.WorkspaceFolders

import-dirs:          /usr/lib/ghc-9.0.2/site-local/haskell-lsp-types-0.24.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/haskell-lsp-types-0.24.0.0
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.2/haskell-lsp-types-0.24.0.0

hs-libraries:         HShaskell-lsp-types-0.24.0.0-6dw8Vf7R8fGCGVK2ZbARDD
depends:
    aeson-1.5.6.0-IOJcrOKAazg2fbKFkmU9ms base-4.15.1.0 binary-0.8.8.0
    bytestring-0.10.12.1 data-default-0.7.1.1-EcFn1KqENcc3dlLa7FIl7R
    deepseq-1.4.5.0 filepath-1.4.2.1
    hashable-1.4.0.0-D9JHm37pmxhHVdVJaoyj8U
    lens-5.1-JTdTUL3YveqAiPsY8Zu69z
    network-uri-2.6.4.1-2WZYIecCJpGJT3mV84Fary
    scientific-0.3.7.0-BmbM6FfeTuG84X0ENGqcGb text-1.2.5.0
    unordered-containers-0.2.16.0-GOdhS5VVGhuDfpf9ntzlf6

haddock-interfaces:
    /usr/share/doc/haskell-lsp0-types/html/haskell-lsp-types.haddock

haddock-html:         /usr/share/doc/haskell-lsp0-types/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

